Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
strchr.c File Reference
`#include "ruby/missing.h"`

Go to the source code of this file.

## Functions
size_t | strlen (const char *)
char * | strchr (const char *s, int c)
char * | strrchr (const char *s, int c)

## Function Documentation

## ◆ strchr()

char* strchr | ( | const char * | s,
|  | int | c
| ) |  |

Definition at line 8 of file strchr.c.

References strlen().

## ◆ strlen()

size_t strlen | ( | const char * |  | ) |

Referenced by compat_init_setproctitle(), rb_async_bug_errno(), rb_deprecate_constant(), rb_dir_getwd_ospath(), rb_enc_symname_p(), rb_exc_new_cstr(), rb_external_str_new_cstr(), rb_filesystem_str_new_cstr(), rb_fstring_cstr(), rb_intern(), rb_iv_get(), rb_locale_str_new_cstr(), rb_path_check(), rb_str_buf_cat_ascii(), rb_str_buf_new_cstr(), rb_sym_intern_ascii_cstr(), rb_write_error(), ruby_enc_find_basename(), ruby_enc_find_extname(), ruby_init_loadpath(), ruby_setenv(), ruby_strdup(), sdbm_open(), setproctitle(), strchr(), strlcat(), strrchr(), verbose(), VpAlloc(), VpSzMantissa(), and VpToFString().

## ◆ strrchr()

char* strrchr | ( | const char * | s,
|  | int | c
| ) |  |

Definition at line 20 of file strchr.c.

References strlen().